Bug 1218533 - use new forked progressbar2?
Summary: use new forked progressbar2?
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-progressbar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Truong Anh Tuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-05 08:28 UTC by Thomas Spura
Modified: 2018-12-20 15:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1648728 None CLOSED Review Request: python-progressbar2 - A Progressbar library to provide visual progress to long running operations 2019-02-04 13:01:39 UTC
Red Hat Bugzilla 1654745 None NEW Please consider using progressbar2 2019-02-04 13:01:38 UTC
Red Hat Bugzilla 1654746 None CLOSED Please consider using progressbar2 2019-02-04 13:01:38 UTC
Red Hat Bugzilla 1654747 None ASSIGNED Please consider using progressbar2 2019-02-04 13:01:38 UTC

Internal Links: 1648728 1654745 1654746 1654747

Description Thomas Spura 2015-05-05 08:28:04 UTC
The python-progressbar seems to be unmaintained (latest release 2011 [1]).

Would it be possible to update to python-progressbar2 [2]? It seems to be the most active one, but there are many forks on github these days, see [3]

[1] https://code.google.com/p/python-progressbar/downloads/list
[2] https://github.com/WoLpH/python-progressbar
[3] https://github.com/search?utf8=%E2%9C%93&q=python-progressbar&type=Repositories&ref=searchresults

Comment 1 Fedora End Of Life 2015-11-04 12:10:05 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ralph Bean 2015-11-17 14:55:24 UTC
Thomas!  I got in touch with the original upstream maintainer and he didn't realize his repo was so hard to find after it moved off of google code.  It lives here now:  https://github.com/niltonvolpato/python-progressbar/

He's going to put out a new release to pypi soon with the upstream url updated .. and it has python3 support now.  :)

Comment 3 Thomas Spura 2015-11-17 15:04:08 UTC
Great! :)

Comment 4 Truong Anh Tuan 2016-04-04 15:01:57 UTC
The [2] repo is updated more frequently while there is no release tag on [1] one. What should we do now? Do we need to change the GitHub repo anymore?

[1] https://github.com/niltonvolpato/python-progressbar/
[2] https://github.com/WoLpH/python-progressbar

Comment 5 Ralph Bean 2016-04-04 15:34:36 UTC
I commented on an issue upstream asking for a fresh release to pypi:  https://github.com/niltonvolpato/python-progressbar/issues/41

Comment 6 Alan Pevec 2017-01-26 18:38:39 UTC
FYI Source0 was fixed in bug 1416902 using 2.3 re-release on pypi

Comment 7 Ankur Sinha (FranciscoD) 2018-11-11 22:23:36 UTC
progressbar2 seems to be a while different thing now. I don't know if these clash, but one of the packages I'm trying to add to Fedora require it. So, I've submitted a review for it here: https://bugzilla.redhat.com/show_bug.cgi?id=1648728

Comment 8 Petr Viktorin 2018-12-06 17:41:42 UTC
Let's replace python3-progressbar with python3-progressbar2. The latter seems much better maintained, and its author wants to keep compatibility with the original: https://github.com/WoLpH/python-progressbar/issues/177#issuecomment-438706012

Comment 9 Petr Viktorin 2018-12-20 15:04:34 UTC
On Rawhide, python-progressbar now only builds for Python 2. The "python3-progressbar" is provided by python-progressbar2.

The python-progressbar package should eventually be retired as part of the Python 2 removal.


Note You need to log in before you can comment on or make changes to this bug.